Get groups
Gets information about groups associated with the account.
To get the users in a group:
- Use this endpoint to get the group ID.
- Use listGroupUsers to get the list of users.
Related topics
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Query parameters
The maximum number of results to return.
Use start_position to specify the number of results to skip.
Valid values: 1 to 100
The type of group to return. Valid values:
AdminGroupCustomGroupEveryoneGroup
When true, every group returned in the response includes a userCount property that contains the total number of users in the group. The default is true.
The zero-based index of the result from which to start returning results.
Use with count to limit the number
of results.
The default value is 0.
Response
The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.